#! ruby

require 'phi'
include Phi

PRINTER.printers.each{|i|puts i}
p Phi::PRINTER.printer_index
PRINTER.printer_index = 0
p Phi::PRINTER.printer_index
p PRINTER.title
PRINTER.title = 'Label Print'
p PRINTER.title

strs = StringList.new
strs.add 'Hello,'
strs.add 'World!'

require 'strprn'

sprn = StringsPrinter.new
sprn.read_ini('print1.ini', 'StringsPrinter1', 'Property')
if FormStringsPrint.execute(sprn, strs)
  sprn.write_ini('print1.ini', 'StringsPrinter1', 'Property')
end
sprn.print_strings(strs)
